package me.nsareen.mp.quickstart;

import jakarta.ws.rs.core.Response;

public class GreetResourceEndpointException extends GreetResourceException {

    private static final long serialVersionUID = 1L;

    private final Response response;

    public GreetResourceEndpointException(final String message, final Response response) {
        super(message);
        this.response = response;
    }

    public GreetResourceEndpointException(final String message, final Throwable cause,
            final Response response) {
        super(message);
        this.response = response;
    }

    public GreetResourceEndpointException(Throwable cause, final Response response) {
        super(cause);
        this.response = response;
    }

    public int getStatusCode() {
        return response.getStatus();
    }

    public Response getResponse() {
        return response;
    }

}
